Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDITEMCARENETvalues

    java.lang.Object
      java.lang.Enum<CDITEMCARENETvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMCARENETvalues

All Implemented Interfaces:
  Serializable, Comparable<CDITEMCARENETvalues>

    public enum CDITEMCARENETvalues

extends Enum<CDITEMCARENETvalues>

Java class for CD-ITEM-CARENETvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-CARENETvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="accidenttype"/>
         <enumeration value="advisingphysician"/>
         <enumeration value="agreement"/>
         <enumeration value="authorisedextensionenddatetime"/>
         <enumeration value="begindatetime"/>
         <enumeration value="billingdestinationnumber"/>
         <enumeration value="insurancydetails"/>
         <enumeration value="insurancystatus"/>
         <enumeration value="messagenumber"/>
         <enumeration value="messagetype"/>
         <enumeration value="missingdocument"/>
         <enumeration value="mutationbegindatetime"/>
         <enumeration value="mutationdestination"/>
         <enumeration value="nationalinsurance"/>
         <enumeration value="otheradmission"/>
         <enumeration value="protectionmeasure"/>
         <enumeration value="refusalreason"/>
         <enumeration value="requestedextensiondatetime"/>
         <enumeration value="requestedextensionenddatetime"/>
         <enumeration value="siscardadjustment"/>
         <enumeration value="siscarderror"/>
         <enumeration value="socialcategory"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACCIDENTTYPE`
`ADVISINGPHYSICIAN`
`AGREEMENT`
`AUTHORISEDEXTENSIONENDDATETIME`
`BEGINDATETIME`
`BILLINGDESTINATIONNUMBER`
`INSURANCYDETAILS`
`INSURANCYSTATUS`
`MESSAGENUMBER`
`MESSAGETYPE`
`MISSINGDOCUMENT`
`MUTATIONBEGINDATETIME`
`MUTATIONDESTINATION`
`NATIONALINSURANCE`
`OTHERADMISSION`
`PROTECTIONMEASURE`
`REFUSALREASON`
`REQUESTEDEXTENSIONDATETIME`
`REQUESTEDEXTENSIONENDDATETIME`
`SISCARDADJUSTMENT`
`SISCARDERROR`
`SOCIALCATEGORY`

Method Summary
`static CDITEMCARENETvalues` | `fromValue(String v)`
`String` | `value()`
`static CDITEMCARENETvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMCARENETvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCIDENTTYPE

    public static final CDITEMCARENETvalues ACCIDENTTYPE

### ADVISINGPHYSICIAN

    public static final CDITEMCARENETvalues ADVISINGPHYSICIAN

### AGREEMENT

    public static final CDITEMCARENETvalues AGREEMENT

### AUTHORISEDEXTENSIONENDDATETIME

    public static final CDITEMCARENETvalues AUTHORISEDEXTENSIONENDDATETIME

### BEGINDATETIME

    public static final CDITEMCARENETvalues BEGINDATETIME

### BILLINGDESTINATIONNUMBER

    public static final CDITEMCARENETvalues BILLINGDESTINATIONNUMBER

### INSURANCYDETAILS

    public static final CDITEMCARENETvalues INSURANCYDETAILS

### INSURANCYSTATUS

    public static final CDITEMCARENETvalues INSURANCYSTATUS

### MESSAGENUMBER

    public static final CDITEMCARENETvalues MESSAGENUMBER

### MESSAGETYPE

    public static final CDITEMCARENETvalues MESSAGETYPE

### MISSINGDOCUMENT

    public static final CDITEMCARENETvalues MISSINGDOCUMENT

### MUTATIONBEGINDATETIME

    public static final CDITEMCARENETvalues MUTATIONBEGINDATETIME

### MUTATIONDESTINATION

    public static final CDITEMCARENETvalues MUTATIONDESTINATION

### NATIONALINSURANCE

    public static final CDITEMCARENETvalues NATIONALINSURANCE

### OTHERADMISSION

    public static final CDITEMCARENETvalues OTHERADMISSION

### PROTECTIONMEASURE

    public static final CDITEMCARENETvalues PROTECTIONMEASURE

### REFUSALREASON

    public static final CDITEMCARENETvalues REFUSALREASON

### REQUESTEDEXTENSIONDATETIME

    public static final CDITEMCARENETvalues REQUESTEDEXTENSIONDATETIME

### REQUESTEDEXTENSIONENDDATETIME

    public static final CDITEMCARENETvalues REQUESTEDEXTENSIONENDDATETIME

### SISCARDADJUSTMENT

    public static final CDITEMCARENETvalues SISCARDADJUSTMENT

### SISCARDERROR

    public static final CDITEMCARENETvalues SISCARDERROR

### SOCIALCATEGORY

    public static final CDITEMCARENETvalues SOCIALCATEGORY

Method Detail

### values

    public static CDITEMCARENETvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMCARENETvalues c : CDITEMCARENETvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMCARENETvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMCARENETvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.